<?php
session_start();

# Root of the files of the website is equal to full path to directory where this index.php is.
$file_root = dirname(__FILE__).'/';

# Config (see configure.php.new)
if (file_exists($file_root.'config.php')) {
  include_once($file_root.'config.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: configure.php not found.</strong> <br/>";
  die();
}

# HTML header:
echo '<!DOCTYPE html>';
echo '<html lang="en">';
echo '<head>';
echo '<title>'.$Avaname.' avatar generator</title>';
echo '<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />';
echo '<meta http-equiv="Content-Language" content="en-ca" />';
echo '<link rel="Shortcut Icon" href="favicon.png" type="image/x-icon" />';
echo '';
# Dynamic CSS:
echo '<style type="text/css" media="screen">';
echo 'body { margin: 2em; padding: 0; color: #111; font-size: 1.2rem; text-align: center; }';
echo '#readme { text-align: left; background: #fff; max-width: 840px; padding: 1rem; margin: 0 auto; text-align: left; }';
echo 'h1 { font-variant: small-caps; color: '.$colortitle.'; font-size: 2.2rem; font-family: Ubuntu, Arial, sans; font-weight: bold; margin: 0 0 0.3rem 0; }';
echo 'h2 { font-variant: small-caps; color: '.$colortitle.'; font-size: 1.4rem; font-family: Ubuntu, Arial, sans; font-weight: bold; margin: 2 0 0.3rem 0; }';
echo '.avatar { border: 0; margin: 2rem 0 0 0; }';
echo 'a { color: '.$colorlink.';}';
echo 'a:hover {    color: #222;}';
echo '.smallbutton { font-size: 1rem; margin-bottom: 0.8rem; }';
echo 'input[type=text]{width:90%}';
echo '.bigbutton { font-weight: bold; font-size: 1.3rem; margin-bottom: 1.3rem; }';
echo '@media (max-width: 500px) {';
echo 'body { margin: 0; padding: 0; background: #FFF; font-size: 1rem; }';
echo '#wrapper { text-align: left; background: #fff; max-width: 100%; padding: 0; margin: 0 auto; border: none; text-align: center; }';
echo 'h1 { font-size: 1.6rem; margin: 0.2rem 0 0.2rem 0; }';
echo '}';
echo '</style>';
echo '';
echo '</head>';
echo '<body>';
# Content:
echo '<div id="readme">';
echo '<a href="index.php" style="text-decoration:none;">← Back</a>';
echo '<hr/>';
echo '<h1>'.$Avaname.' Avatar Generator:</h1>';

echo '<center><img class="avatar" style="width:256px; height: auto;" src="img/_cover.jpg" title="Cover picture" ></center><br/><br/>';

echo 'A random generator of '.$avaname.'s avatar pictures, <a href="'.$blogpostlink.'">first released here</a> on '.$blogpostdate.' and made by <a href="http://www.davidrevoy.com">David Revoy</a> over the original <a href="https://www.splitbrain.org/blog/2007-01/20_monsterid_as_gravatar_fallback">MonsterID by Andreas Gohr\'s</a>. '.$description.'<br/><br/>';

echo '<b>Sources</b>: <a href="'.$zipsrcfilename.'" title="original author">Download '.$zipsrcfilename.' source ZIP here</a>';

echo '<h2>License <a href="https://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0</a></h2>';

echo 'Attribution for the artworks: \'David Revoy\' with the following exception:<br/>';
echo '&nbsp;&nbsp;&nbsp;&nbsp;- <b>No need attribution if you use it for your personal avatar</b> (eg. avatar on your social-medias, forum, blog post, etc...). However, if you propose it to all the users of your website/App/Software, please provide the attribution in the footer of the page or in the credits.<br/>';
echo '&nbsp;&nbsp;&nbsp;&nbsp;- Please <b>don\'t use my art for NFTs</b>, this infringe my moral right (read <a href="https://www.davidrevoy.com/article864/dream-cats-nfts-don-t-buy-them">this blog-post I wrote</a> if you wonder why). If you find my work as NFTs: please report it. I\'m not the uploader of the NFT. You can support my art via <a href="https://www.davidrevoy.com/static3/become-my-patron">patronage or donation here</a>.<br/>';
echo '<br/>';
echo 'Note: The PHP code part of the <a href="'.$zipsrcfilename.'" title="original author">source ZIP</a> is licensed under the short and simple permissive <a href="https://en.wikipedia.org/wiki/MIT_License">MIT License</a>, you can also find the code on <a href="https://framagit.org/Deevad/cat-avatar-generator">a Git repository here</a>.';

echo '<h2>Change log:</h2>';
echo $changelog;


echo '<h2>All my avatar generators:</h2>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2016_cat-generator/">Cat avatar (2016)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2017_abstract-generator/">Abstract avatar (2017)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2019_bird-generator/">Bird avatar (2019)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2020_mobilizon-generator/">Mobilizon avatar (2020)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2023_peertube-generator/">Peertube avatar (2023)</a><br/>';

echo '<br/>';
echo '<hr/>';
echo '<a href="index.php" style="text-decoration:none;">← Back</a>';
echo '</div>';
?>
