<?php
session_start();

# Root of the files of the website is equal to full path to directory where this index.php is.
$file_root = dirname(__FILE__).'/';

# Config (see configure.php.new)
if (file_exists($file_root.'config.php')) {
  include_once($file_root.'config.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: configure.php not found.</strong> <br/>";
  die();
}

# ERROR PICTURE 256x256
$error_base64_picture = "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";

function build_avatar($seed){

	# If we have a $seed, we need to influencate the randomizer "rand" algorythm
	# with the $seed as a numeric value; (we need to convert that as a number).
	if($seed){ 
		srand(hexdec(substr(md5($seed),0,6)));
	};
  
	# Load the array for the body part
	# name => max number
	global $parts;

	# Create a solid white background image
	$monster = @imagecreatetruecolor(256, 256)
		or die("GD image create failed");
	$white = imagecolorallocate($monster, 255, 255, 255);
	imagefill($monster,0,0,$white);

	# Compile the cat parts
	foreach($parts as $part => $num) {
		# Convert the max amount of asset into a random number between this range
		$randomizednum = rand(1,$num);
		# Convert value like 2 to 02 for filenaming convention.
		$formattednum = sprintf("%02d", $randomizednum);
		# Build final file path pattern
		$file = dirname(__FILE__).'/img/'.$part.'_'.$formattednum.'.png';

		# Test picture
		$im = @imagecreatefrompng($file);
		if(!$im) die('Failed to load '.$file);
		
		# Create layer
		imageSaveAlpha($im, true);
		imagecopy($monster,$im,0,0,0,0,256,256);
		imagedestroy($im);
	}

	# Free $seed for future rand operation
	if($seed) srand();

	# Compile picture:
	header ("Content-type: image/png");
	imagepng($monster);
	imagedestroy($monster);
}

# Display
# =======
# Check if isset has a seed in session.
if (isset($_REQUEST['seed'])) {

  $seed = $_REQUEST['seed'];

  # Check if session token match the seed.
  if ( $_SESSION["seed"] == $seed ) {

    # Success:
    # Ok to build a cat in this case
    build_avatar($_REQUEST['seed']);

  # Seed doesn't match session = error
  } else {
    header($_SERVER["SERVER_PROTOCOL"].' 403 Forbidden');
    header("Content-type: image/png");
    echo base64_decode($error_base64_picture);
    exit;

  }

# No seed isset in session = forbidden pass
} else {
  header($_SERVER["SERVER_PROTOCOL"].' 403 Forbidden');
  exit;
}
?>
