<?php
session_start();

# Root of the files of the website is equal to full path to directory where this index.php is.
$file_root = dirname(__FILE__).'/';

# Config (see configure.php.new)
if (file_exists($file_root.'config.php')) {
  include_once($file_root.'config.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: configure.php not found.</strong> <br/>";
  die();
}

# HTML header and css:
if (file_exists($file_root.'header.php')) {
  include_once($file_root.'header.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: header.php not found.</strong> <br/>";
  die();
}

# Get var
$seed = htmlspecialchars($_GET["seed"]);

# Convert accented, thx http://stackoverflow.com/a/3373364 for the list
$unwanted = array( 'Š'=>'S', 'š'=>'s', 'Ž'=>'Z', 'ž'=>'z', 'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E',
                   'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O', 'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U',
                   'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss', 'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c',
                   'è'=>'e', 'é'=>'e', 'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o', 'ô'=>'o', 'õ'=>'o',
                   'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'þ'=>'b', 'ÿ'=>'y' );
$seed = strtr( $seed, $unwanted );
# Security against code injection
$seed = preg_replace('/[^A-Za-z0-9\._-]/', '', $seed); 
# Limit the string to 35 char
$seed = substr($seed,0,35).'';


echo '<div id="wrapper">';

  echo '<h1>'.$Avaname.' avatar generator</h1>';

  # If the seed is empty; we are on the index.php for the first time.
  if ($seed == '') {
    # Print a cover:
    echo '<br/>';
    echo '<img class="avatar" style="width:256px; height: auto;" src="img/_cover.jpg" title="to download the picture, right click and SAVE AS *.PNG picture" >';
    echo '<br/>';
    echo '<br/><strong>~ Welcome! ~</strong>';
  } else {
    # Print the bird!

    echo '<a href="avatar.php?seed='.$seed.'" download="'.$seed.'">';
    echo '  <img class="avatar" src="avatar.php?seed='.$seed.'" title="click to download your generated '.$avaname.'s!" >';
    echo '</a>';
    echo '<br/><strong>~ '.$seed.' ~</strong>';
  }

  echo '<form method="post" action="loading.php">';
  echo '  <br/>';
  echo '  <br/>';
  echo '  The name of your '.$avaname.'?*<br/><br/>';
  echo '  <input class="smallbutton" type="text" name="seed" id="name" value="" autofocus />';
  $pass = uniqid();
  echo '  <input type="hidden" name="token" value="'.$pass.'">';
  echo '  <input class="bigbutton" type="submit" value="Generate new '.$avaname.'" />';
  echo '</form>';
echo '<em>(* empty=random)</em><br/><br/>'.$description.'<br/><br/>';
echo '<strong>All my generators:</strong><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2016_cat-generator/">Cat avatar (2016)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2017_abstract-generator/">Abstract avatar (2017)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2019_bird-generator/">Bird avatar (2019)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2020_mobilizon-generator/">Mobilizon avatar (2020)</a><br/>';
echo '- <a href="http://www.peppercarrot.com/extras/html/2023_peertube-generator/">Peertube avatar (2023)</a><br/><br/>';
echo '<b>License:</b><br/>';
echo '<b>Artworks:</b>  <a href="https://creativecommons.org/licenses/by/4.0/">CC-By</a>, David Revoy <a href="https://www.davidrevoy.com/article983/peertube-avatar-generator" title="article on the blog">[blog-post]</a><br/>';
echo '<b>Code:</b> <a href="https://creativecommons.org/licenses/by/4.0/">CC-By</a>, Andreas Gohr <a href="https://www.splitbrain.org/blog/2007-01/20_monsterid_as_gravatar_fallback" title="original author of random avatar php code">[blog-post]</a><br/>';
echo '<b>Don\'t use my art for NFT! <a href="https://www.davidrevoy.com/article864/dream-cats-nfts-don-t-buy-them">Here is why.</a></b>';
echo '<br/>';
echo '<br/>';
echo '<a href="README.php" title="original author">[More infos]</a>';
echo '&nbsp;  &nbsp;';
echo '<a href="'.$zipsrcfilename.'" title="original author">[Sources]</a>';
echo '&nbsp;  &nbsp;';
echo '<a href="https://www.davidrevoy.com/static3/become-my-patron" title="original author">[♥ Donate]</a>';
echo '';
echo '</div>';
echo '</body>';
echo '</html>';
?>
