<?php
session_start();

# Root of the files of the website is equal to full path to directory where this index.php is.
$file_root = dirname(__FILE__).'/';

# Config (see configure.php.new)
if (file_exists($file_root.'config.php')) {
  include_once($file_root.'config.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: configure.php not found.</strong> <br/>";
  die();
}

if ( $_POST['token'] == "" ) {
  exit;
}
$seed = htmlspecialchars($_POST['seed']);

# Convert accented, thx http://stackoverflow.com/a/3373364 for the list
$unwanted = array( 'Š'=>'S', 'š'=>'s', 'Ž'=>'Z', 'ž'=>'z', 'À'=>'A', 'Á'=>'A', 'Â'=>'A', 'Ã'=>'A', 'Ä'=>'A', 'Å'=>'A', 'Æ'=>'A', 'Ç'=>'C', 'È'=>'E', 'É'=>'E',
                   'Ê'=>'E', 'Ë'=>'E', 'Ì'=>'I', 'Í'=>'I', 'Î'=>'I', 'Ï'=>'I', 'Ñ'=>'N', 'Ò'=>'O', 'Ó'=>'O', 'Ô'=>'O', 'Õ'=>'O', 'Ö'=>'O', 'Ø'=>'O', 'Ù'=>'U',
                   'Ú'=>'U', 'Û'=>'U', 'Ü'=>'U', 'Ý'=>'Y', 'Þ'=>'B', 'ß'=>'Ss', 'à'=>'a', 'á'=>'a', 'â'=>'a', 'ã'=>'a', 'ä'=>'a', 'å'=>'a', 'æ'=>'a', 'ç'=>'c',
                   'è'=>'e', 'é'=>'e', 'ê'=>'e', 'ë'=>'e', 'ì'=>'i', 'í'=>'i', 'î'=>'i', 'ï'=>'i', 'ð'=>'o', 'ñ'=>'n', 'ò'=>'o', 'ó'=>'o', 'ô'=>'o', 'õ'=>'o',
                   'ö'=>'o', 'ø'=>'o', 'ù'=>'u', 'ú'=>'u', 'û'=>'u', 'ý'=>'y', 'þ'=>'b', 'ÿ'=>'y' );
$seed = strtr( $seed, $unwanted );
# Security against code injection
$seed = preg_replace('/[^A-Za-z0-9\._-]/', '', $seed); 
# Limit the string to 35 char
$seed = substr($seed,0,35).'';

# If no seed, go random
if ($seed == '') {
  $seed = uniqid();
}
# Save a token for the seed on server's session memory.
$_SESSION["seed"] = $seed;
# Reload the page to index with the seed after 2second
header( "refresh:2;url=index.php?seed=$seed" );

# HTML header and css:
if (file_exists($file_root.'header.php')) {
  include_once($file_root.'header.php');
} else {
  http_response_code(404);
  echo "<pre><strong>Website error: header.php not found.</strong> <br/>";
  die();
}

echo '<div id="wrapper">';
echo '';
echo '<h1>shuffling dna ...</h1>';

#display the seed as name
echo '<br/><strong>~ '.$seed.' ~</strong><br/>';

echo '<img class="avatar" src="img/_loading.gif" title="loading" >';
echo '';
echo '</div>';
echo '</body>';
echo '</html>';

?>
